critbit0_delete(3)

NAME
critbit0_delete - delete a string from a critbit tree

SYNTAX
#include <libowfat/critbit.h> critbit0_tree cb = { 0 }; int critbit0_delete(critbit0_tree* cb,const char* str);

DESCRIPTION
critbit0_delete attempts to delete a string from a critbit0 tree. If str is in cb, critbit0_delete removes it and returns 1. If str is not in cb, critbit0_delete leaves it alone and returns 0.

RETURN VALUE
1 if it was in cb and has now been removed, 0 if it was not in cb.

SEE ALSO
critbit0_insert(3)